package queue;

import java.util.Random;

/**
 * Testovací třída pro třídu Queue.
 */
public class QueueTest {

	public static void main(String[] args) {

		Random generator = new Random();

		Queue<Integer> intQueue;

		intQueue = new Queue<Integer>();

		while (true) {
			int prvek = generator.nextInt(20);
			if (prvek == 0) {
				break;
			}
			System.out.println("Vkládám: " + prvek);
			intQueue.enqueue(new Integer(prvek));
		}

		System.out.println();
		System.out.println("Součet prvků ve frontě: ");
		int sum = 0;
		while (!intQueue.isEmpty()) {
			sum += ((Integer) intQueue.dequeue()).intValue();
		}
		System.out.printf("%d", sum);
		System.out.println();
	}

}
